Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Incidents/Notes

Get All Notes

get
/v3/incidents/{IncidentId}/warroom
  • This endpoint is used to get all the note details of incidentID mentioned params.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IncidentIdstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/incidents/{IncidentId}/warroom
GET /v3/incidents/{IncidentId}/warroom HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "created_at": "text",
      "updated_at": "text",
      "organization_id": "text",
      "incident_id": "text",
      "user_id": "text",
      "message": "text",
      "type": "text",
      "attachments": [
        "text"
      ],
      "user": {
        "id": "text",
        "first_name": "text",
        "last_name": "text",
        "deleted": true
      },
      "replaced_message": "text"
    }
  ]
}

Create Notes

post
/v3/incidents/{IncidentId}/warroom
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IncidentIdstringRequired

Required

Body

Request body for creating a new note.

messagestringRequired
attachmentsstring[]Required
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/incidents/{IncidentId}/warroom
POST /v3/incidents/{IncidentId}/warroom HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "message": "text",
  "attachments": [
    "text"
  ]
}
{
  "data": {
    "id": "text",
    "created_at": "text",
    "updated_at": "text",
    "organization_id": "text",
    "incident_id": "text",
    "user_id": "text",
    "message": "text",
    "type": "text",
    "attachments": [
      "text"
    ],
    "user": {
      "id": "text",
      "first_name": "text",
      "last_name": "text",
      "deleted": true
    },
    "replaced_message": "text"
  }
}

Update Note

put
/v3/incidents/{IncidentId}/warroom/{NoteId}

This API can be used to update a Note or a Resolution reason associated with an incident

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IncidentIdstringRequired

Required

NoteIdstringRequired
Body

Request body for updating an existing note.

messagestringRequired
attachmentsstring[]Required
Responses
200

The request has succeeded.

application/json
put/v3/incidents/{IncidentId}/warroom/{NoteId}
PUT /v3/incidents/{IncidentId}/warroom/{NoteId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "message": "text",
  "attachments": [
    "text"
  ]
}
{
  "data": {
    "id": "text",
    "created_at": "text",
    "updated_at": "text",
    "organization_id": "text",
    "incident_id": "text",
    "user_id": "text",
    "message": "text",
    "type": "text",
    "attachments": [
      "text"
    ],
    "user": {
      "id": "text",
      "first_name": "text",
      "last_name": "text",
      "deleted": true
    },
    "replaced_message": "text"
  }
}

Delete Note

delete
/v3/incidents/{IncidentId}/warroom/{NoteId}

delete note from incidentId mentioned in params.

Requires access_token as a Bearer {{token}} in the Authorization header with service-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IncidentIdstringRequired

Required

NoteIdstringRequired

Required

Header parameters
authorizationstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/incidents/{IncidentId}/warroom/{NoteId}
DELETE /v3/incidents/{IncidentId}/warroom/{NoteId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
authorization: text
Accept: */*
{}

Last updated